summaryrefslogtreecommitdiffstats
path: root/system/srm
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-05-13 01:01:10 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:01:10 +0200
commit6684de1a477a46179cc66772d9ebe20540d31165 (patch)
tree402393cf9a23c0c2bf242341be6287994fa37ca2 /system/srm
parent4d4710b1beb39c8171f4d8ca0fbb7981ddce3263 (diff)
downloadslackbuilds-6684de1a477a46179cc66772d9ebe20540d31165.tar.gz
slackbuilds-6684de1a477a46179cc66772d9ebe20540d31165.tar.xz
system/srm: Added to 13.0 repository
Diffstat (limited to 'system/srm')
-rw-r--r--system/srm/README14
-rw-r--r--system/srm/slack-desc19
-rw-r--r--system/srm/srm.SlackBuild100
-rw-r--r--system/srm/srm.info10
4 files changed, 143 insertions, 0 deletions
diff --git a/system/srm/README b/system/srm/README
new file mode 100644
index 0000000000..d231d5aafa
--- /dev/null
+++ b/system/srm/README
@@ -0,0 +1,14 @@
+srm is a secure replacement for rm(1). Unlike the standard rm, it overwrites
+the data in the target files before unlinking them. This prevents command-line
+recovery of the data by examining the raw block device. It may also help
+frustrate physical examination of the disk, although it's unlikely that it can
+completely prevent that type of recovery. It is, essentially, a paper shredder
+for sensitive files.
+
+srm is ideal for personal computers or workstations with Internet connections.
+It can help prevent malicious users from breaking in and undeleting personal
+files, such as old emails. It's also useful for permanently removing files
+from expensive media. For example, cleaning your diary off the zip disk you're
+using to send vacation pictures to Uncle Lou. Because it uses the exact same
+options as rm(1), srm is simple to use. Just subsitute it for rm whenever you
+want to destroy files, rather than just unlinking them.
diff --git a/system/srm/slack-desc b/system/srm/slack-desc
new file mode 100644
index 0000000000..d3683f2788
--- /dev/null
+++ b/system/srm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+srm: srm (Secure file deletion for posix systems)
+srm:
+srm: srm is a secure replacement for rm(1). Unlike the standard rm, it
+srm: overwrites the data in the target files before unlinking them. This
+srm: prevents command-line recovery of the data by examining the raw block
+srm: device. It may also help frustrate physical examination of the disk,
+srm: although it's unlikely that it can completely prevent that type of
+srm: recovery. It is, essentially, a paper shredder for sensitive files
+srm:
+srm:
+srm:
diff --git a/system/srm/srm.SlackBuild b/system/srm/srm.SlackBuild
new file mode 100644
index 0000000000..62b5ad68e0
--- /dev/null
+++ b/system/srm/srm.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for srm.
+#
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=srm
+VERSION=${VERSION:-1.2.10}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS ChangeLog COPYING README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/srm/srm.info b/system/srm/srm.info
new file mode 100644
index 0000000000..86f3ccd14d
--- /dev/null
+++ b/system/srm/srm.info
@@ -0,0 +1,10 @@
+PRGNAM="srm"
+VERSION="1.2.10"
+HOMEPAGE="http://srm.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/srm/srm-1.2.10.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="2eb97c550bd910c09f08ec7feaf4bec1"
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"